PHPの脆弱性情報(CVE-2019-9637)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

02/23/2019にPHPの脆弱性情報(CVE-2019-9637)が公開されています。今回はこれらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




一次情報源

CVE番号 影響するバージョン リファレンス Priority CVSS
CVE-2019-9637 7.1.27より前の7.1.x系, 7.2.16より前の7.2.x系, 7.3.3より前の7.3.x系

MISC:https://bugs.php.net/bug.php?id=77630

- -

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-9637
    • 認証されていないユーザによるファイルアクセスの可能性
    • ファイルシステムでrename()が実装されている方法により、ファイルのリネームが行われている間にリネームされたファイルが一時的に誤ったパーミッションで有効になるため、認証されていないユーザがデータにアクセスすることが可能になります。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。


セキュリティ系連載案内


OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

新たな攻撃手法(SMoTherSpectre) による情報の漏洩

次へ

Pythonの脆弱性情報(CVE-2019-9636)